# conduit

![Version: 0.2.1](https://img.shields.io/badge/Version-0.2.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.6.0](https://img.shields.io/badge/AppVersion-0.6.0-informational?style=flat-square)

Conduit is a simple, fast and reliable chat server powered by Matrix.

## Usage

Helm must be installed and setup to your kubernetes cluster to use the charts.
Refer to Helm's [documentation](https://helm.sh/docs) to get started.
Once Helm has been set up correctly, fetch the charts as follows:

```bash
helm pull oci://codeberg.org/wrenix/helm-charts/conduit
```

You can install a chart release using the following command:

```bash
helm install conduit-release oci://codeberg.org/wrenix/helm-charts/conduit --values values.yaml
```

To uninstall a chart release use `helm`'s delete command:

```bash
helm uninstall conduit-release
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| conduit.allowEncryption | bool | `true` |  |
| conduit.allowFederation | bool | `true` |  |
| conduit.allowRegistration | bool | `false` |  |
| conduit.allowRoomCreation | bool | `true` |  |
| conduit.allowUnstableRoomVersions | bool | `true` |  |
| conduit.log | string | `nil` |  |
| conduit.maxConcurrentRequests | string | `nil` |  |
| conduit.maxRequestSize | string | `"20000000"` |  |
| conduit.registrationToken | string | `nil` |  |
| conduit.server_name | string | `"your.server.name"` |  |
| conduit.trustedServers[0] | string | `"matrix.org"` |  |
| conduit.wellKnownClient | string | `"your.server.name"` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"registry.gitlab.com/famedly/conduit/matrix-conduit"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.annotations | object | `{}` |  |
| persistence.enabled | bool | `true` |  |
| persistence.size | string | `"1Gi"` |  |
| podAnnotations | object | `{}` |  |
| podLabels | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `6167` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |
| wellknown.affinity | object | `{}` |  |
| wellknown.client."m.homeserver".base_url | string | `"https://your.server.name/"` |  |
| wellknown.client."org.matrix.msc3575.proxy".url | string | `"https://your.server.name/"` |  |
| wellknown.containerPort | int | `80` |  |
| wellknown.enabled | bool | `true` |  |
| wellknown.env | list | `[]` |  |
| wellknown.image.pullPolicy | string | `"IfNotPresent"` |  |
| wellknown.image.repository | string | `"nginx"` |  |
| wellknown.image.tag | string | `"1.25"` |  |
| wellknown.nodeSelector | object | `{}` |  |
| wellknown.podAnnotations | list | `[]` |  |
| wellknown.podLabels | object | `{}` |  |
| wellknown.podSecurityContext | object | `{}` |  |
| wellknown.replicaCount | int | `1` |  |
| wellknown.resources | object | `{}` |  |
| wellknown.securityContext | object | `{}` |  |
| wellknown.server."m.server" | string | `"your.server.name:443"` |  |
| wellknown.service.annotations | object | `{}` |  |
| wellknown.service.port | int | `8080` |  |
| wellknown.service.type | string | `"ClusterIP"` |  |
| wellknown.tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
